Debian Bug report logs - #703988
ITP: libnamespace-sweep-perl -- sweeps up imported subs in your classes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Tue, 26 Mar 2013 14:21:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libnamespace-sweep-perl/0.006-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#703988; Package wnpp. (Tue, 26 Mar 2013 14:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Tue, 26 Mar 2013 14:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libnamespace-sweep-perl -- sweeps up imported subs in your classes
Date: Tue, 26 Mar 2013 15:19:01 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libnamespace-sweep-perl
  Version         : 0.006
  Upstream Author : Mike Friedman <friedo@friedo.com>
* URL             : http://search.cpan.org/dist/namespace-Sweep/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : sweeps up imported subs in your classes

 Because Perl methods are just regular subroutines, it's difficult to
 tell what's a method and what's just an imported function. As a result,
 imported functions can be called as methods on your objects.
 .
 The namespace::sweep pragma will delete imported functions from your
 class's symbol table, thereby ensuring that your interface is as you
 specified it. However, code inside your module will still be able to
 use the imported functions without any problems.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Mar 2013 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Wed, 17 Apr 2013 09:04:11 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 09:04:11 GMT) Full text and rfc822 format available.

Message #12 received at 703988-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 703988-close@bugs.debian.org
Subject: Bug#703988: fixed in libnamespace-sweep-perl 0.006-1
Date: Wed, 17 Apr 2013 09:00:32 +0000
Source: libnamespace-sweep-perl
Source-Version: 0.006-1

We believe that the bug you reported is fixed in the latest version of
libnamespace-sweep-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703988@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libnamespace-sweep-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 26 Mar 2013 15:45:54 +0100
Source: libnamespace-sweep-perl
Binary: libnamespace-sweep-perl
Architecture: source all
Version: 0.006-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libnamespace-sweep-perl - sweeps up imported subs in your classes
Closes: 703988
Changes: 
 libnamespace-sweep-perl (0.006-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#703988.
Checksums-Sha1: 
 248749fe055ac467cf0c01c73e3fa5ef7821f8a4 2284 libnamespace-sweep-perl_0.006-1.dsc
 b1eb0fe6a9ee509e4f9f7ceb6e2f7a0b4baeae74 12748 libnamespace-sweep-perl_0.006.orig.tar.gz
 7cee136fabdb829c9dbf480589d5bc855fdef1f4 3001 libnamespace-sweep-perl_0.006-1.debian.tar.gz
 123d115e352774450ec37b63598ff25c86a7949d 11446 libnamespace-sweep-perl_0.006-1_all.deb
Checksums-Sha256: 
 6e35607dff7c8fbd1d2805f118d26377928f6d0a42b547893dae8a08b515d895 2284 libnamespace-sweep-perl_0.006-1.dsc
 de99ce915ab0f93781580e3433d7dc9c2585a2789627173b280c6030ac0b1953 12748 libnamespace-sweep-perl_0.006.orig.tar.gz
 833c310c9b07e1a1f229d9d2cefbd92c55c211361f8c236d2345d324975796c8 3001 libnamespace-sweep-perl_0.006-1.debian.tar.gz
 453299add32ca63bebf5a875d03fa00a0d79b06bcfbc3d292d016dcbe5659bef 11446 libnamespace-sweep-perl_0.006-1_all.deb
Files: 
 7ad451630cab3272c6440270f047a4a5 2284 perl optional libnamespace-sweep-perl_0.006-1.dsc
 7302277a935dd97fb04065597b1049de 12748 perl optional libnamespace-sweep-perl_0.006.orig.tar.gz
 7d07abddf0c29f215a19fad7228b4d42 3001 perl optional libnamespace-sweep-perl_0.006-1.debian.tar.gz
 bf8c64db125d436b5095f10b079e8603 11446 perl optional libnamespace-sweep-perl_0.006-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRUbUZAAoJECx8MUbBoAEhAlEQAIhUqLdIr6SJClY2vJIRq64/
hH0EgRZCOfG5I5McuFkrbRgNW//8WDh+22lZdz1iRzto5aLeKuSwykPfWzYsanhd
VSp5mYDyUv9S6+nvRC8CjR1ciq5O7vmsD2wc/DXp3bF+AVcjRUHIfpkztvEMWmhq
jc0mQisHbPkgPoTQxpLFHANASVWdF/m+07oQW2KmaKj8a68iMuebYEE0XFzIAA+e
yZtfn8jDxrZVvt39mAefB+V6wKFjV+sbA8y5G9s2ykKvrvc4RbNxovRbci9EmA4f
pPEjAYiwpwSNfiG3eYijfbILIqq2Kszsdg3worZ5QoAzx7Z9ayTzjG1Z5+mWvaHV
Nw4knROZ15wy1H3tbuTrBPsazN5nsqFrCg0cyIPKPEkSRwQGPJmtKWNyhnXU1Mm6
6hOEstRc3g/wt2xuGR9MIBMr7Z/jj7/WcXAn4lmozW/IR+PTx+OCMbXHvq6BawGS
lby6DbiMVr/yQk+baOPNWTaJjrVa4HKfs/RbTguM+cOzdcFEOGq+76vC3y7LZfmd
sMExFIn0REjDcxMvXch1M9gmYT6+RgrSaYxwlhb5XrL8guvA8XoL/2ku5Wuf6yBN
00j/Dfu7g+U0qSMN9IN9wDUg3YmOnWBjcW2/nNVW4f4MA8FVG8EPSk0uWA9xjhiI
eVUokBheO39gLIGK4m3m
=ezWH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:31:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:34:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.